<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Savage Avengers</Series>
  <Number>22</Number>
  <Web>https://www.comixology.com/Savage-Avengers-22/digital-comic/938378</Web>
  <Summary>Conan and Ghost Rider get to the bottom of Nightmare’s machinations and his werewolves’ origins...and Johnny Blaze isn’t the first Ghost Rider that Conan has encountered – he knew one back in Hyboria that rode around on a GIANT SPIDER. This chapter proves you can’t spell “flashback” without the “AAH!”</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB938378], [ASINB092KCGJB2], [RELDATE:2021-07-21]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>23</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
